%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		gnome-themes-standard
Version:	3.22.2
Release:	%mkrel 1
Summary:	Standard themes for GNOME applications
Group:		Graphical desktop/GNOME
License:	LGPLv2+
URL:		http://git.gnome.org/browse/gnome-themes-standard
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
#---------------------------------------------------
BuildRequires:	intltool
BuildRequires:	gtk+2.0
BuildRequires:	%{_lib}gtk+3.0-devel
BuildRequires:	%{_lib}gtk+2.0_0-devel
BuildRequires:	%{_lib}rsvg2-devel
#-------------------------------------------------
Requires:	gtk-engines2
Requires:	gnome-icon-theme
Requires:	abattis-cantarell-fonts
Provides:	gnome-background-standard = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot


%description
The gnome-themes-standard package contains the standard theme for the GNOME
desktop, which provides default appearance for cursors, desktop background,
window borders and GTK+ applications.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std


# we don't want these
find %{buildroot} -name '*.la' -delete

rm -rf %{buildroot}%{_datadir}/icons/HighContrast
rm -rf %{buildroot}%{_datadir}/themes/HighContrast
rm -f %buildroot/%{_datadir}/themes/Adwaita/gtk-3.0/gtk.css

%find_lang %{name}

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    for t in Adwaita; do
        touch --no-create %{_datadir}/icons/$t &>/dev/null
        gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
    done
fi

%posttrans
for t in Adwaita; do
  gtk-update-icon-cache %{_datadir}/icons/$t &>/dev/null || :
done

 
%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc NEWS README
%{_datadir}/themes
%{_libdir}/gtk-2.0/2.10.0/engines/libadwaita.so


%changelog
* Fri Dec 31 2016 adrianomorselli <adrianomorselli> 3.22.2-1uplos2016
- rebuild

* Fri Oct 07 2016 bb <bb> 3.22.2-1pclos2016
- update

* Sun Oct 02 2016 bb <bb> 3.20.2-1pclos2016
- update 

* Sat Sep 24 2016 bb <bb> 3.20.2-1pclos2016
- update


